<?php

define('weaver_SB_default','Default - One, right side');
define('weaver_SB_1rw', 'One, wide right side');
define('weaver_SB_1l', 'One, left side');
define('weaver_SB_2c', 'Two, left and right sides');
define('weaver_SB_2r', 'Two, unequal widths, right side');
define('weaver_SB_2l', 'Two, unequal widths, left side');
define('weaver_SB_none', 'None');


/* The definition of globally available vars */

$weaver_main_options = array (
    // -----------------------------------
    array(  'name' => 'General Appearance', 'id' => 'maintab0', 'type' => 'header',
            'info'=> 'Overall settings that affect content and widget areas',
            'value' => 'help.html#GenApp'),
    array(  'name' => 'Wrapper Page BG', 'id' => 'ttw_page_bgcolor', 'type' => 'ctext',
	    'info' => "Background for top level #wrapper div - default BG if you don't change others."),
    array(  'name' => 'Main Area BG', 'id' => 'ttw_main_bgcolor', 'type' => 'ctext',
	    'info' => 'Background for main page #main div - wraps container, content and sidebars (uses wrapper bg if not set).'),
    array(  'name' => 'Container Area BG', 'id' => 'ttw_container_bgcolor', 'type' => 'ctext',
	    'info' => 'Background for #container div - wraps content and sidebars (uses wrapper bg if not set).'),
    array( 'name' => 'Theme Width', 'id' => 'ttw_header_image_width', 'type' => 'text',
	    'info' => 'Change Theme Width. Standard size is 940px. Header Image width is automatically changed, too.'),
    array( 'name' => 'Theme Margin', 'id' => 'ttw_site_margins', 'type' => 'text',
	    'info' => 'Change outer margin around site. Default is 20px.'),

    array ( 'name' => 'Titles Font', 'id' => 'ttw_title_font', 'type' => 'select',
	    'info' => 'Font used for post, page, and widget titles, info labels, and menus.',
            'std' => 'Helvetica Neue (default, sans)',
	    'value' => array( 'Helvetica Neue (default, sans)',
		'Bitstream Charter (serif)', 'Arial (sans-serif)', 'Verdana (sans-serif)', 'Tahoma (sans-serif)',
		'Arial Black (sans-serif)', 'Avant Garde (sans-serif)', 'Comic Sans MS (sans-serif)',
		'Impact (sans-serif)', 'Trebuchet (sans-serif)', 'Century Gothic (sans-serif)',
		'Lucida Grande (sans-serif)', 'Univers (sans-serif)',
		'Times New Roman (serif)', 'Georgia (serif)', 'Palatino (serif)',
		'Bookman (serif)', 'Garamond (serif)',
		'Courier New (mono)', 'Andale Mono (mono)'
	     )),
    array ( 'name' => 'Content Font',
	   /* IMPORTANT! make sure font style (e.g., '(serif)') has no spaces (other than defaut case). */
	    'id' => 'ttw_content_font', 'type' => 'select', 'info' => 'Font used for most content and widget text',
            'std' => 'Bitstream Charter (default,serif)',
	    'value' => array( 'Bitstream Charter (default,serif)',
		'Helvetica Neue (sans-serif)', 'Arial (sans-serif)', 'Verdana (sans-serif)', 'Tahoma (sans-serif)',
		'Arial Black (sans-serif)', 'Avant Garde (sans-serif)', 'Comic Sans MS (sans-serif)',
		'Impact (sans-serif)', 'Trebuchet (sans-serif)', 'Century Gothic (sans-serif)',
		'Lucida Grande (sans-serif)', 'Univers (sans-serif)',
		'Times New Roman (serif)', 'Georgia (serif)', 'Palatino (serif)',
		'Bookman (serif)', 'Garamond (serif)',
		'Courier New (mono)', 'Andale Mono (mono)'
	     )),

    array( 'name' => 'Rounded Corners', 'id' => 'ttw_rounded_corners', 'type' => 'checkbox',
	    'info' => "Check to use rounded corners for main area and colored sidebars"),
    array( 'name' => '<small>Corner Radius</small>', 'id' => 'ttw_rounded_corners_radius', 'type' => 'text',
	    'info' => 'Controls how "round" corners are. Specify a value (5 to 15 look best) for corner radius. Default is 10.'),
    array( 'name' => 'Area Border', 'id' => 'ttw_useborders', 'type' => 'checkbox',
            'info' => 'Check to include border around main area and all sidebars'),
    array(  'name' => 'Outside BG', 'id' => 'ttw_body_bgcolor', 'type' => 'ctext',
	    'info' => 'Background color that wraps entire page. Using <em>Appearance->Background</em> will override this value, or allow a background image instead.'),
    array(  'name' => 'Fade Outside BG', 'id' => 'ttw_fadebody_bg', 'type' => 'checkbox',
	    'info' => 'Will fade the Outside BG color, darker at top to lighter at bottom.'),
    array(  'name' => 'Wrap site with shadow', 'id' => 'ttw_wrap_shadow', 'type' => 'checkbox',
	    'info' => "Will wrap site's main area with a shadow"),
    array(  'name' => 'Note:', 'id' => 'ttw_headern5', 'type' => 'note',
            'info' => 'There are options to add BG images in the Weaver Plus plugin.'),

// -----------------------------------
array(  'name' => 'Header/Menu Options', 'id' => 'maintab1', 'type' => 'header',
            'info' => 'Options affecting site Header, including Menus',
            'value' => 'help.html#HeaderOpt'),
    array(  'name' => 'Menu Bar', 'id' => 'ttw_menubar_color', 'type' => 'ctext',
	    'info' => 'The main menu bar (Both Primary and Secondary Menus)'),
    array(  'name' => 'Menu Bar hover BG', 'id' => 'ttw_menubar_hoverbg_color', 'type' => 'ctext',
	    'info' => 'The menu item and drop down background when hovering over item.'),
    array(  'name' => 'Menu Bar text', 'id' => 'ttw_menubar_text_color', 'type' => 'ctext',
	    'info' => 'Main menu bar text item when not hovering'),
    array(  'name' => 'Menu Bar text hover', 'id' => 'ttw_menubar_hover_color', 'type' => 'ctext',
	    'info' => 'Main menu bar text item when hovering'),
    array(  'name' => 'Menu Bar current page', 'id' => 'ttw_menubar_curpage_color', 'type' => 'ctext',
	    'info' => 'Main menu bar text item for the currently displayed site page'),
    array( 'name' => '<small>Bold Menu Text</small>', 'id' => 'ttw_bold_menu', 'type' => 'checkbox',
	    'info' => 'Check to use bold font style for menu text.'),
    array( 'name' => '<small>Menu Bar Gradient</small>', 'id' => 'ttw_gradient_menu', 'type' => 'checkbox',
	    'info' => 'Check to add gradient effect to menu bars'),
    array( 'name' => '<small>Use Menu Effects</small>', 'id' => 'ttw_use_superfish', 'type' => 'checkbox',
	    'info' => 'Check to use Menu Effects: arrows for sub-menus, shadows, smooth open'),
    array( 'name' => '<small>Add Search to Menu Bar</small>', 'id' => 'ttw_menu_addsearch', 'type' => 'checkbox',
	    'info' => "Add a search box to Primary menu bar on right. &diams;"),
    array( 'name' => '<small>Add Log in to Menu Bar</small>', 'id' => 'ttw_menu_addlogin', 'type' => 'checkbox',
	    'info' => "Add a simple Log in link to Primary menu bar on right. &diams;"),
    array( 'name' => '<small>Hide Menu Bars</small>', 'id' => 'ttw_hide_menu', 'type' => 'checkbox',
	    'info' => "Don't want menu bars? Hide them. (If empty, Primary or Secondary menus won't display.) &diams;"),
    array( 'name' => '<small>Move Primary Menu to Top</small>', 'id' => 'ttw_move_menu', 'type' => 'checkbox',
	    'info' => 'Move the Primary Menu to above the image (Secondary Menu will be on bottom)'),
    array( 'name' => '<small>No Home Menu Item</small>', 'id' => 'ttw_menu_nohome', 'type' => 'checkbox',
	    'info' => 'Don\'t automatically add Home menu item for home page (as defined in Settings->Reading) &diams;'),
    array(  'name' => 'Note:', 'id' => 'ttw_headern3', 'type' => 'note',
            'info' => 'There are more Header and Menu Options available with the Weaver Plus plugin.'),
    array(  'name' => '&nbsp;', 'id' => 'ttw_headern2', 'type' => 'note',
            'info' => '&nbsp'),
    array(  'name' => 'Header BG', 'id' => 'ttw_header_bgcolor', 'type' => 'ctext',
            'info' => 'Background for the header area.'),
    array(  'name' => 'Site Title', 'id' => 'ttw_title_color', 'type' => 'ctext',
	    'info' => "The site's main title in the header (blog title)"),
    array(  'name' => 'Site Description', 'id' => 'ttw_desc_color', 'type' => 'ctext',
	    'info' => "The site's description tag line (blog description)"),
    array( 'name' => 'Larger Site Description', 'id' => 'ttw_large_tagline', 'type' => 'checkbox',
	    'info' => 'Check to make site description larger.'),
    array( 'name' => 'Move Title over Header Image', 'id' => 'ttw_title_on_header', 'type' => 'checkbox',
	    'info' => 'Check to move the site Title and Description over the Header Image.'),
    array( 'name' => '<small>Title Indents</small>', 'id' => 'ttw_title_on_header_xy', 'type' => 'text_xy',
	    'info' => 'Adjust default left and top indents for Title over Header Image. (default: x:40, y:44)'),
    array( 'name' => '<small>Description Indents</small>', 'id' => 'ttw_title_on_header_xy_desc', 'type' => 'text_xy',
	    'info' => 'Adjust default left and top indents for Description over Header Image. (default: x:40, y:90)'),
    array( 'name' => 'Hide Site Title/Description', 'id' => 'ttw_hide_site_title', 'type' => 'checkbox',
	    'info' => 'Check to hide display of Site Title and Description'),
    array( 'name' => 'Header Image Height', 'id' => 'ttw_header_image_height', 'type' => 'text',
	    'info' => 'Change the default height of the Header Image (use 0 to HIDE image). Standard size is 198. Upload new image in Appearance -> Header <u>after</u> changing height.'),
    array( 'name' => '<small>Header Image Links to Site</small>', 'id' => 'ttw_link_site_image', 'type' => 'checkbox',
	    'info' => 'Check to add a link to site home page for Header Image'),
    array( 'name' => '<small>Space After Header</small>', 'id' => 'ttw_after_header', 'type' => 'text',
	    'info' => 'Change the space between Header and Body (specify space in px, but just give number, <em>no px</em>).'),
    array( 'name' => '<small>Hide Featured Image for Header</small>', 'id' => 'ttw_hide_featured_header', 'type' => 'checkbox',
	    'info' => 'Hide the "Featured Image" (set in Post/Page edit) from appearing as the header image. (Also see "Show Featured Image in Posts"). &diams;'),
    array(  'name' => '<small>Header &lt;div> First</small>', 'id' => 'ttw_header_first', 'type' => 'checkbox',
	    'info' => 'Place #header &lt;div> first - before #wrapper. (Allows full width bg color/image.)'),
    array( 'name' => 'Note:', 'id' => 'ttw_headern1', 'type' => 'note',
	    'info' => 'There are more Header options available on the Dashboard Appearance->Header/Menus panels.'),

// -----------------------------------
array(  'name' => 'Content Areas', 'id' => 'maintab2', 'type' => 'header',
        'info'=> 'Settings for the content area (posts and pages)',
	'value' => 'help.html#ContentAreas'),
    array(  'name' => 'Content BG', 'id' => 'ttw_content_bgcolor', 'type' => 'ctext',
	    'info' => 'Background for post and page #content div (uses main bg if not set).'),
    array(  'name' => 'Page Title Text', 'id' => 'ttw_page_title_color', 'type' => 'ctext',
	    'info' => "Main Title for static pages (note: post title is 'Post Entry Title Link')"),
    array(  'name' => '<small>Bar under Titles</small>', 'id' => 'ttw_header_underline', 'type' => 'text',
	    'info' => 'Enter size in px (just value, no px) if you want a bar under content Titles. Leave 0 for no bar.'),
    array(  'name' => 'Heading text', 'id' => 'ttw_text_color', 'type' => 'ctext',
	    'info' => 'Content non-title headings and other labels'),
    array(  'name' => 'Content text', 'id' => 'ttw_content_color', 'type' => 'ctext',
	    'info' => 'Main post and page content text.'),
    array ('name' => '<small>Smaller Content Font</small>', 'id' => 'ttw_small_content_font', 'type' => 'checkbox',
            'info' => 'Make font of article and post text a bit smaller.'),
    array ( 'name' => 'Content List Bullet',
	   'id' => 'ttw_contentlist_bullet', 'type' => 'imgselect', 'info' => 'Bullet used for Unorderd Lists in Content areas',
           'std' => 'default',
	    'value' => array('default','none', 'circle', 'disc', 'square',
'arrow1-black','arrow1-blue','arrow1-gray','arrow1-green','arrow1-red',
'arrow2-black','arrow2-blue','arrow2-gray','arrow2-green','arrow2-red',
'arrow3-black','arrow3-blue','arrow3-gray','arrow3-green','arrow3-red',
'arrow4-black','arrow4-blue','arrow4-gray','arrow4-green','arrow4-red',
'arrow5-black','arrow5-blue','arrow5-gray','arrow5-green','arrow5-red',
'check1-black','check1-blue','check1-gray','check1-green','check1-red',
'circle1-black','circle1-blue','circle1-gray','circle1-green','circle1-red',
'circle2-black','circle2-blue','circle2-gray','circle2-green','circle2-red',
'diamond1-black','diamond1-blue','diamond1-gray','diamond1-green','diamond1-red',
'diamond2-black','diamond2-blue','diamond2-gray','diamond2-green','diamond2-red',
'plus1-black','plus1-blue','plus1-gray','plus1-green','plus1-red',
'square1-black','square1-blue','square1-gray','square1-green','square1-red',
'square2-black','square2-blue','square2-gray','square2-green','square2-red',
'square3-black','square3-blue','square3-gray','square3-green','square3-red',
'star1-black','star1-blue','star1-gray','star1-green','star1-red',
'star2-black','star2-blue','star2-gray','star2-green','star2-red',
'star3-black','star3-blue','star3-gray','star3-green','star3-red',
'custom-black','custom-blue','custom-gray','custom-green','custom-red'
	     )),

    array(  'name' => '&lt;HR&gt; color', 'id' => 'ttw_hr_color', 'type' => 'ctext',
	    'info' => 'Color of horizontal (&lt;hr&gt;) lines in posts and pages.'),
    array(  'name' => 'Standard Link', 'id' => 'ttw_link_color', 'type' => 'ctext',
	    'info' => 'Color for most links.'),
    array(  'name' => 'Standard Link Visited', 'id' => 'ttw_link_visited_color', 'type' => 'ctext',
	    'info' => 'Color for links that have been visited.'),
    array(  'name' => 'Standard Link Hover', 'id' => 'ttw_link_hover_color', 'type' => 'ctext',
	    'info' => 'Color for links when hovering.'),
    array('name' => '<small>Hide Featured Image on Pages', 'id' => 'ttw_hide_page_featured', 'type' => 'checkbox',
	  'info' => 'Hide any small Featured Image associated with a Page (Posts have their own setting.)'),
    array ( 'name' => '<small>Table Style</small>', 'id' => 'ttw_weaver_tables', 'type' => 'select',
	    'info' => 'Style used for tables in content. "None" allows you to create custom table styling.',
	    'value' => array( 'Default', 'Weaver', 'Bold Headings','No Borders', 'Full Width', 'None')),
    array(  'name' => '<small>Captioned Image Border Color</small>', 'id' => 'ttw_media_lib_captioned_border', 'type' => 'ctext',
	    'info' => 'Border color for <em>captioned</em> images from media library.'),
    array(  'name' => '<small>Non-Captioned Image Border Color</small>', 'id' => 'ttw_media_lib_border', 'type' => 'ctext',
	    'info' => 'Border color for <em>non-captioned</em> images from media library. (Make same color as
            Captioned Images to have media images display the same.)'),
    array(  'name' => '<small>Caption text color</small>', 'id' => 'ttw_caption_color', 'type' => 'ctext',
	    'info' => 'Color of captions - e.g., below media images.'),
    array(  'name' => '<small>Input Area BG</small>', 'id' => 'ttw_input_bgcolor', 'type' => 'ctext',
	    'info' => 'Background color for text input boxes. (Add {color:#xxxxxx;} using CSS+ to specify text color.)'),

// -----------------------------------
array(  'name' => 'Post Page Specifics', 'id' => 'maintab3', 'type' => 'header',
        'info'=> 'Settings affecting just Post pages',
	'value' => 'help.html#PPSpecifics'),

    array(  'name' => 'Post BG', 'id' => 'ttw_post_bgcolor', 'type' => 'ctext',
	    'info' => 'Background color used for posts.'),
       array(  'name' => 'Post Entry Title Link', 'id' => 'ttw_plink_color',
	    'type' => 'ctext', 'info' => 'Post entry title link color (blog entry titles are links).'),
    array(  'name' => 'Post Entry Title Link Visited', 'id' => 'ttw_plink_visited_color', 'type' => 'ctext',
	    'info' => 'Post entry title links that have been visited.'),
    array(  'name' => 'Post Entry Title Link Hover', 'id' => 'ttw_plink_hover_color', 'type' => 'ctext',
	    'info' => 'Post entry title for links when hovering.'),
    array(  'name' => 'Post Format Title', 'id' => 'ttw_post_title_color', 'type' => 'ctext',
	    'info' => 'Color for the Post Format Title displayed on posts with Format specified.'),
    array(  'name' => 'Post Info text', 'id' => 'ttw_info_color', 'type' => 'ctext',
	    'info' => 'Color for post information text. (also called Meta Info)'),
    array( 'name' => '<small>Use Icons in Post Info</small>', 'id' => 'ttw_post_icons', 'type' => 'checkbox',
            'info' => 'Check to use icons in Post Info (Meta Info)'),
    array( 'name' => '<small>Hide Post Info Fill-in</small>', 'id' => 'ttw_hide_post_fill', 'type' => 'checkbox',
	    'info' => "Hide Post fill-in meta info (e.g., 'Posted on', '|'). (allows Icons only for post info)"),
    array(  'name' => 'Top Post Info BG', 'id' => 'ttw_infotop_bgcolor', 'type' => 'ctext',
	    'info' => "The top post info area ('Posted on x by y' line - add {display:none;} to CSS to hide entire line.)"),
    array( 'name' => '<small>Hide Post Date</small>', 'id' => 'ttw_post_hide_date', 'type' => 'checkbox',
            'info' => 'Hide the post date everywhere it is normally displayed.'),
    array( 'name' => '<small>Hide Post Author</small>', 'id' => 'ttw_post_hide_author', 'type' => 'checkbox',
            'info' => 'Hide the post author everywhere it is normally displayed. Looks best when you also <em>Hide Post Info Fill-in</em>.'),
    array(  'name' => 'Bottom Post Info BG', 'id' => 'ttw_infobottom_bgcolor', 'type' => 'ctext',
	    'info' => "The bottom post info area ('Posted in' line - add {display:none;} to CSS to hide entire line.)"),
    array(  'name' => '<small>Hide Category if Only One</small>', 'id' => 'ttw_hide_singleton_cat', 'type' => 'checkbox',
            'info' => 'If there is only one overall category defined (Uncategorized), don\'t show Category of post.'),
    array(  'name' => '<small>Hide <em>Comments Off</em></small>', 'id' => 'ttw_hide_comments_closed', 'type' => 'checkbox',
            'info' => 'If comments are off, and no comments have been made, hide the <em>Comments Off</em> message.' ),
    array( 'name' => '<small>Hide Post Category, Tags</small>', 'id' => 'ttw_post_hide_cats', 'type' => 'checkbox',
            'info' => 'Hide the post category and tags wherever they are normally displayed.'),
    array(  'name' => 'Post Info Link', 'id' => 'ttw_ilink_color', 'type' => 'ctext',
	    'info' => 'Links in post information.'),
    array(  'name' => 'Post Info Link Visited', 'id' => 'ttw_ilink_visited_color', 'type' => 'ctext',
	    'info' => 'Visited Post Info Links.'),
    array(  'name' => 'Post Info Link Hover', 'id' => 'ttw_ilink_hover_color', 'type' => 'ctext',
	    'info' => 'Hovering on Post Info links.'),
    array(  'name' => 'Sticky Post BG', 'id' => 'ttw_stickypost_bgcolor', 'type' => 'ctext',
	    'info' => 'BG color for sticky posts, author info. (Add {border:none;padding:0;} to CSS to make sticky posts same as regular posts.)'),
    array(  'name' => '<small>Display posts as excerpts</small>', 'id' => 'ttw_always_excerpt', 'type' => 'checkbox',
            'info' => 'Will display an excerpt instead of full post on <em>blog main page</em>. Most useful when used with Featured Image.
            (also can be set per post with post editor) &diams;'),
    array(  'name' => '<small>Excerpt length</small>', 'id' => 'ttw_excerpt_length', 'type' => 'text',
            'info' => 'Change default (55 words) post excerpt length.'),
    array(  'name' => '<small><em>Continue reading</em> Message</small>', 'id' => 'ttw_excerpt_more_msg', 'type' => 'widetext',
            'info' => 'Change default <em>Continue reading &rarr;</em> message for excerpts. Can include HTML (e.g., &lt;img>).'),
    array(  'name' => '<small>Display full posts</small>', 'id' => 'ttw_always_fullpost', 'type' => 'checkbox',
            'info' => 'Will display the full post instead of excerpt on <em>special post pages</em>. (Archives, Searches, Categories, etc.)
            (also can be set per post with post editor) Does not override manually added &lt;--more--> breaks.'),
    array(  'name' => '<small>Show Featured Image for full posts</small>', 'id' => 'ttw_show_featured_image_fullposts', 'type' => 'checkbox',
            'info' => 'Show the "Featured Image" (set on Post edit page) thumbnail with full post displays (non-excerpted posts)'),
    array(  'name' => '<small>Show the Featured Image for excerpted posts</small>', 'id' => 'ttw_show_featured_image_excerptedposts', 'type' => 'checkbox',
            'info' => 'Show the "Featured Image" (set on Post edit page) thumbnail with excerpted posts.
            (See the Help page for more details on using the Featured Image.)' ),
    array(   'name' => '<small>Show avatar with posts</small>', 'id' => 'ttw_show_post_avatar', 'type' => 'checkbox',
            'info' => 'Show author avatar at top of posts (also can be set per post with post editor)'),
    array(   'name' => '<small>Make avatar tiny</small>', 'id' => 'ttw_show_tiny_avatar', 'type' => 'checkbox',
            'info' => 'Make the avatar tiny and display right after author name. (Must check "Show avatar", too.)'),
    array(  'name' => '<small>Hide Author Bio</small>', 'id' => 'ttw_hide_author_bio', 'type' => 'checkbox',
            'info' => 'Hide display of author bio box on author and full single post pages. &diams;'),
    array(  'name' => '<small>Allow comments for attachments</small>', 'id' => 'ttw_allow_attachment_comments', 'type' => 'checkbox',
            'info' => 'Allow visitors to leave comments for attachments (usually full size media image - only if comments allowed). &diams;'),
    array(  'name' => '<small>Hide Sidebars on Single Post</small>', 'id' => 'ttw_hide_single_sidebars', 'type' => 'checkbox',
            'info' => 'Hide the sidebars on Single Post pages. Makes display of full post article look like one column template. &diams;'),
    array(  'name' => '<small>Hide Sidebars on Special Post pages</small>', 'id' => 'ttw_hide_special_post_sidebars', 'type' => 'checkbox',
            'info' => 'Hide the sidebars on special post pages: archives, author, category/tags, and search. &diams;'),
    array(  'name' => 'Note:', 'id' => 'ttw_headern4', 'type' => 'note',
            'info' => 'There are more Post Options available with the Weaver Plus plugin.'),

// -----------------------------------
array(  'name' => 'Footer Options', 'id' => 'maintab4', 'type' => 'header',
        'info'=> 'Settings for the footer',
	'value' => 'help.html#FooterOpt'),

    array(  'name' => 'Footer BG', 'id' => 'ttw_footer_bgcolor', 'type' => 'ctext',
            'info' => 'Background for the footer area.'),
    array(  'name' => 'Footer Border', 'id' => 'ttw_footer_border_color', 'type' => 'ctext',
	    'info' => 'Color of the border above the footer area.'),
    array(  'name' => '<small>Hide Entire Footer</small>', 'id' => 'ttw_hide_footer', 'type' => 'checkbox',
	    'info' => 'Hide the entire footer area. &diams;'),
    array(  'name' => '<small>Footer &lt;div> Last</small>', 'id' => 'ttw_footer_last', 'type' => 'checkbox',
	    'info' => 'Place #footer &lt;div> last - outside #wrapper. (Allows full width bg color/image.)'),
    array(  'name' => 'Note:', 'id' => 'ttw_footer_note', 'type' => 'note',
	    'info' => 'See <strong>Widget Areas: Horizontal Footer Widget Area Blocks</strong> to change footer widget areas count.'),
// -----------------------------------
    array(  'name' => 'Widget Areas', 'id' => 'maintab5', 'type' => 'header',
            'info'=> 'Settings affecting widget areas',
            'value' => 'help.html#WidgetAreas'),
    array(  'name' => 'Main Sidebar Columns', 'id' => 'ttw_sidebars', 'type' => 'select',
	    'info' => 'Choices for one on right (default), one on left, 3 varieties of two sidebar columns, or none.',
	    'value' => array( weaver_SB_default, weaver_SB_1rw, weaver_SB_1l, weaver_SB_2c, weaver_SB_2r, weaver_SB_2l, weaver_SB_none ),
            ),
    array( 'name' => 'Sidebar Width', 'id' => 'ttw_sidebar_width', 'type' => 'text',
	    'info' => 'Change width of primary and secondary side bars. Use 0 for default width (varies depending on sidebar selection). Interacts with Theme Width.'),
    array(  'name' => 'Primary Widget Area BG', 'id' => 'ttw_side1_bgcolor', 'type' => 'ctext',
	    'info' => 'Background for the primary (#1 sidebar) widget area.'),
    array(  'name' => 'Secondary Widget Area BG', 'id' => 'ttw_side2_bgcolor', 'type' => 'ctext',
            'info' => 'Background for the secondary (#2 sidebar) widget area.'),
    array(  'name' => 'Alt Template Widget Area BG', 'id' => 'ttw_side3_bgcolor', 'type' => 'ctext',
            'info' => 'Background for the alternate page template sidebar widget area.'),
    array(  'name' => 'Top/Bottom Widget Areas BG', 'id' => 'ttw_topbottom_bgcolor', 'type' => 'ctext',
            'info' => 'Background for the top and bottom widget areas.'),
    array ('name' => __('<small>Full Width Top/Bottom widget areas</small>',WEAVER_TRANSADMIN), 'id' => 'ttw_wide_top_bottom', 'type' => 'checkbox',
            'info' => __('Use full width of content area for top and bottom widget areas',WEAVER_TRANSADMIN)),
    array(  'name' => 'Footer Widget Areas BG', 'id' => 'ttw_footer_widget_bgcolor', 'type' => 'ctext',
            'info' => 'Background for the footer widget areas.'),
    array(  'name' => '<small>Horizontal Footer Widget Area Blocks</small>', 'id' => 'ttw_footer_widget_count', 'type' => 'text',
	    'info' => 'Enter 1, 2, or 3 to reduce default number (4) of horizontal blocks used to display widget areas in footer. Mix and/or match number of blocks and widget areas! &diams;'),
    array(  'name' => 'Individual Widget BG', 'id' => 'ttw_widget_item_bgcolor', 'type' => 'ctext',
	    'info' => 'Background color for individual widgets. (Use CSS to add borders, etc.)'),
    array(  'name' => 'Widget Title', 'id' => 'ttw_widget_title_color', 'type' => 'ctext',
	    'info' => 'Color for Widget titles and labels.'),
    array(  'name' => 'Bar under Widget Titles', 'id' => 'ttw_widget_header_underline', 'type' => 'text',
	    'info' => 'Enter size in px (just value, no px) if you want a bar under Widget Titles. Leave 0 for no bar.'),
    array(  'name' => 'Widget Area Text', 'id' => 'ttw_widget_color', 'type' => 'ctext',
	    'info' => 'Color for widget area content (text color).'),
    array ( 'name' => 'Widget List Bullet',
	    'id' => 'ttw_list_bullet', 'type' => 'imgselect', 'info' => 'Bullet used for Sidebar Lists (black square default).',
            'std' => 'default',
	    'value' => array('default','none', 'circle', 'disc', 'square',
'arrow1-black','arrow1-blue','arrow1-gray','arrow1-green','arrow1-red',
'arrow2-black','arrow2-blue','arrow2-gray','arrow2-green','arrow2-red',
'arrow3-black','arrow3-blue','arrow3-gray','arrow3-green','arrow3-red',
'arrow4-black','arrow4-blue','arrow4-gray','arrow4-green','arrow4-red',
'arrow5-black','arrow5-blue','arrow5-gray','arrow5-green','arrow5-red',
'check1-black','check1-blue','check1-gray','check1-green','check1-red',
'circle1-black','circle1-blue','circle1-gray','circle1-green','circle1-red',
'circle2-black','circle2-blue','circle2-gray','circle2-green','circle2-red',
'diamond1-black','diamond1-blue','diamond1-gray','diamond1-green','diamond1-red',
'diamond2-black','diamond2-blue','diamond2-gray','diamond2-green','diamond2-red',
'plus1-black','plus1-blue','plus1-gray','plus1-green','plus1-red',
'square1-black','square1-blue','square1-gray','square1-green','square1-red',
'square2-black','square2-blue','square2-gray','square2-green','square2-red',
'square3-black','square3-blue','square3-gray','square3-green','square3-red',
'star1-black','star1-blue','star1-gray','star1-green','star1-red',
'star2-black','star2-blue','star2-gray','star2-green','star2-red',
'star3-black','star3-blue','star3-gray','star3-green','star3-red',
'custom-black','custom-blue','custom-gray','custom-green','custom-red'
	     )),

    array(  'name' => 'Widget Link', 'id' => 'ttw_wlink_color', 'type' => 'ctext',
	    'info' => 'Color for links in widgets (uses Standard Link colors if left to default color).'),
    array(  'name' => 'Widget Link Visited', 'id' => 'ttw_wlink_visited_color', 'type' => 'ctext',
	    'info' => 'Color for widget links that have been visited.'),
    array(  'name' => 'Widget Link Hover', 'id' => 'ttw_wlink_hover_color', 'type' => 'ctext',
	    'info' => 'Color for widget links when hovering.'),
    array(  'name' => '<small>Sidebar Border Adjust</small>', 'id' => 'ttw_border_adjust_sidebar', 'type' => 'text',
	    'info' => 'Value to adjust sidebar area widths if you\'ve added your own borders (e.g., using CSS on widget area BG)'),
    array ('name' => __('<small>Hide Top/Bottom widget area in pages</small>',WEAVER_TRANSADMIN), 'id' => 'ttw_hide_widg_pages', 'type' => 'checkbox',
            'info' => __('Hide the top and bottom widget areas on pages. They do not display if no widgets added to area. &diams;',WEAVER_TRANSADMIN)),
    array ('name' => __('<small>Hide Top/Bottom widget area in blog</small>',WEAVER_TRANSADMIN), 'id' => 'ttw_hide_widg_posts', 'type' => 'checkbox',
            'info' => __('Hide the top and bottom widget areas on main posts (blog) page. They do not display if no widgets added to area. &diams;',WEAVER_TRANSADMIN)),
    array ('name' => __('<small>Hide Special Post Pages widget area</small>',WEAVER_TRANSADMIN), 'id' => 'ttw_hide_special_posts', 'type' => 'checkbox',
            'info' => __('Hide the Special Post Pages widget area on special post pages (archives, attachment, author, category, single post). It does not display if no widgets added to area. &diams;',WEAVER_TRANSADMIN)),
    array ('name' => __('<small>Always Show Top/Bottom widget area on front page</small>',WEAVER_TRANSADMIN), 'id' => 'ttw_force_widg_frontpage', 'type' => 'checkbox',
            'info' => __('When checked, the top and bottom widget areas will always be displayed on the front page. Overrides other settings. &diams;',WEAVER_TRANSADMIN)),
    array( 'name' => __('<small>Area Border on Top/Bottom widget areas</small>',WEAVER_TRANSADMIN), 'id' => 'ttw_useborders_topbot', 'type' => 'checkbox',
            'info' => 'Check to include border around top and bottom widget areas.'),

);

$weaver_dev = false;   // if want to enable special save theme stuff

/* $weaver_opts_cache is a "master" list of every option TT Weaver can change. It is IMPORTANT to keep it up to date, because
  it is used to save the user's own theme. While this array very closely parallels the theme definitions above,
  it has the extra fields for the advanced options. Also used to download and restore themes. And it now uses
  false for non-set values - to indicate to use the default std value. Note: these are THEME option, and do not include
  the per-site adminOpts defined later.
*/

$weaver_main_opts_list = array (     // main opts list - false means not per-site option (i.e., it is a theme option)
    'ttw_after_header' => false,
    'ttw_allow_attachment_comments' => true,
    'ttw_always_excerpt' => true,
    'ttw_always_fullpost' =>false,
    'ttw_body_bgcolor' => false,
    'ttw_body_bgcolor_css' => false,
    'ttw_bold_menu' => false,
    'ttw_border_adjust_sidebar' => false,
    'ttw_caption_color' => false,
    'ttw_caption_color_css' => false,
    'ttw_container_bgcolor' => false,
    'ttw_container_bgcolor_css' => false,
    'ttw_content_bgcolor' => false,
    'ttw_content_bgcolor_css' => false,
    'ttw_content_color' => false,
    'ttw_content_color_css' => false,
    'ttw_content_font' => false,
    'ttw_contentlist_bullet' => false,
    'ttw_desc_color' => false,
    'ttw_desc_color_css' => false,
    'ttw_excerpt_length' => false,
    'ttw_excerpt_more_msg' => false,
    'ttw_fadebody_bg' => false,
    'ttw_footer_bgcolor' => false,
    'ttw_footer_bgcolor_css' => false,
    'ttw_footer_border_color' => false,
    'ttw_footer_border_color_css' => false,
    'ttw_footer_widget_bgcolor' => false,
    'ttw_footer_widget_bgcolor_css' => false,
    'ttw_footer_widget_count' => true,
    'ttw_footer_last' => false,
    'ttw_force_widg_frontpage' => true,
    'ttw_gradient_menu' => false,
    'ttw_use_superfish' => false,
    'ttw_header_bgcolor' => false,
    'ttw_header_bgcolor_css' => false,
    'ttw_header_image_height' => false,
    'ttw_header_image_width' => false,
    'ttw_site_margins' => false,
    'ttw_header_underline' => false,
    'ttw_header_first' => false,
    'ttw_hide_author_bio' => true,
    'ttw_hide_comments_closed' => false,
    'ttw_hide_footer' => true,
    'ttw_hide_menu' => true,
    'ttw_hide_featured_header' => true,
    'ttw_hide_page_featured' => false,
    'ttw_hide_post_fill' => false,
    'ttw_hide_singleton_cat' => false,
    'ttw_hide_single_sidebars' => true,
    'ttw_hide_special_post_sidebars' => true,
    'ttw_hide_site_title' => false,
    'ttw_hide_special_posts' => true,
    'ttw_hide_widg_pages' => true,
    'ttw_hide_widg_posts' => true,
    'ttw_hr_color' => false,
    'ttw_hr_color_css' => false,
    'ttw_ilink_color' => false,
    'ttw_ilink_color_css' => false,
    'ttw_ilink_hover_color' => false,
    'ttw_ilink_hover_color_css' => false,
    'ttw_ilink_visited_color' => false,
    'ttw_ilink_visited_color_css' => false,
    'ttw_info_color' => false,
    'ttw_info_color_css' => false,
     'ttw_infotop_bgcolor' => false,
    'ttw_infotop_bgcolor_css' => false,
    'ttw_infobottom_bgcolor' => false,
    'ttw_infobottom_bgcolor_css' => false,
    'ttw_input_bgcolor' => false,
    'ttw_input_bgcolor_css' => false,
    'ttw_large_tagline' => false,
    'ttw_link_color' => false,
    'ttw_link_color_css' => false,
    'ttw_link_hover_color' => false,
    'ttw_link_hover_color_css' => false,
    'ttw_link_visited_color' => false,
    'ttw_link_visited_color_css' => false,
    'ttw_link_site_image' => false,
    'ttw_list_bullet' => false,
    'ttw_main_bgcolor' => false,
    'ttw_main_bgcolor_css' => false,
    'ttw_media_lib_border' => false,
    'ttw_media_lib_border_css' => false,
    'ttw_media_lib_captioned_border' => false,
    'ttw_media_lib_captioned_border_css' => false,
    'ttw_menu_addsearch' => true,
    'ttw_menu_addlogin' => true,
    'ttw_menu_nohome' => true,
    'ttw_menubar_color' => false,
    'ttw_menubar_color_css' => false,
    'ttw_menubar_curpage_color' => false,
    'ttw_menubar_curpage_color_css' => false,
    'ttw_menubar_hover_color' => false,
    'ttw_menubar_hover_color_css' => false,
    'ttw_menubar_hoverbg_color' => false,
    'ttw_menubar_hoverbg_color_css' => false,
    'ttw_menubar_text_color' => false,
    'ttw_menubar_text_color_css' => false,
    'ttw_move_menu' => false,
    'ttw_page_bgcolor' => false,
    'ttw_page_bgcolor_css' => false,
    'ttw_page_title_color' => false,
    'ttw_page_title_color_css' => false,
    'ttw_plink_color' => false,
    'ttw_plink_color_css' => false,
    'ttw_plink_hover_color' => false,
    'ttw_plink_hover_color_css' => false,
    'ttw_plink_visited_color' => false,
    'ttw_plink_visited_color_css' => false,
    'ttw_post_hide_date' => false,
    'ttw_post_hide_author' => false,
    'ttw_post_hide_cats'=> false,
    'ttw_post_bgcolor' => false,
    'ttw_post_bgcolor_css' => false,
    'ttw_post_icons' => false,
    'ttw_post_title_color' => false,
    'ttw_post_title_color_css' => false,
    'ttw_rounded_corners' => false,
    'ttw_rounded_corners_radius' => false,
    'ttw_show_featured_image_excerptedposts' => false,
    'ttw_show_featured_image_fullposts' => false,
    'ttw_show_post_avatar' => false,
    'ttw_show_tiny_avatar' => false,
    'ttw_side1_bgcolor' => false,
    'ttw_side1_bgcolor_css' => false,
    'ttw_side2_bgcolor' => false,
    'ttw_side2_bgcolor_css' => false,
    'ttw_side3_bgcolor' => false,
    'ttw_side3_bgcolor_css' => false,
    'ttw_sidebar_width' => false,
    'ttw_sidebars' => false,
    'ttw_small_content_font' => false,
    'ttw_stickypost_bgcolor' => false,
    'ttw_stickypost_bgcolor_css' => false,
    'ttw_text_color' => false,
    'ttw_text_color_css' => false,
    'ttw_title_color' => false,
    'ttw_title_color_css' => false,
    'ttw_title_font' => false,
    'ttw_title_on_header' => false,
    'ttw_title_on_header_xy_X' => false,
    'ttw_title_on_header_xy_Y' => false,
    'ttw_title_on_header_xy_desc_X' => false,
    'ttw_title_on_header_xy_desc_Y' => false,
    'ttw_topbottom_bgcolor' => false,
    'ttw_topbottom_bgcolor_css' => false,
    'ttw_useborders' => false,
    'ttw_useborders_topbot' => false,
    'ttw_weaver_tables' => false,
    'ttw_wide_top_bottom' => false,
    'ttw_widget_color' => false,
    'ttw_widget_color_css' => false,
    'ttw_widget_header_underline' => false,
    'ttw_widget_item_bgcolor' => false,
    'ttw_widget_item_bgcolor_css' => false,
    'ttw_widget_title_color' => false,
    'ttw_widget_title_color_css' => false,
    'ttw_wlink_color' => false,
    'ttw_wlink_color_css' => false,
    'ttw_wlink_hover_color' => false,
    'ttw_wlink_hover_color_css' => false,
    'ttw_wlink_visited_color' => false,
    'ttw_wlink_visited_color_css' => false,
    'ttw_wrap_shadow' => false
        );

    $weaver_advanced_opts_list = array (    /* true means per-site option */
    'ttw_footer_opts' => true,          // insert into footer
    'ttw_head_opts' => true,            // <HEAD> Section
    'ttw_add_css'=> false,              // Add CSS Rules to Weaver's style rules
    'ttw_preheader_insert' => true,     // Pre-Header Code
    'ttw_hide_front_preheader' => true,
    'ttw_hide_rest_preheader' => true,
    'ttw_header_insert' => true,        // Site Header Insert Code
    'ttw_custom_header_insert' => true, // Custom Header Page Template Code
    'ttw_header_frontpage_only' => true,
    'ttw_postheader_insert' => true,    // Post-Header Code
    'ttw_hide_front_postheader' => true,
    'ttw_hide_rest_postheader' => true,
    'ttw_prefooter_insert' => true,     // Pre-Footer Code
    'ttw_hide_front_prefooter' => true,
    'ttw_hide_rest_prefooter' => true,
    'ttw_postfooter_insert' => true,    // Post-Footer Code
    'ttw_hide_front_postfooter' => true,
    'ttw_hide_rest_postfooter' => true,
    'ttw_presidebar_insert' => true,    // Pre-Sidebar Code
    'ttw_hide_front_presidebar' => true,
    'ttw_hide_rest_presidebar' => true,
    'ttw_hide_PIE' => true,             // Don't use PIE IE extension
    'ttw_menu_addhtml-left' => true,    // add html to left menu
    'ttw_menu_addhtml' => true,         // add html to right menu
    'ttw_notab_mainoptions' => false,   // no tabs on main options
    'ttw_perpagewidgets' => true,       // Add widget areas for per page
    'ttw_hide_auto_css_rules' => true,  // Don't auto-display CSS rules
    'ttw_css_rows' => true,             // expand # CSS+ rows
    'ttw_force_inline_css'=>true,       // Use Inline CSS
    'ttw_copyright' => true,            // Alternate copyright
    'ttw_hide_poweredby' => true,       // Hide powered by
    'ttw_end_opts' => true,             // The Last Thing
    'ttw_metainfo'=>true,               // meta info for header
    'ttw_hide_metainfo'=>true,
    'ttw_hide_theme_thumbs'=>true,      // Hide thumbs on admin screen
    'ttw_show_preview'=>true,           // show the preview box
    'ttw_hide_updatemsg'=>true,       	// hide the version update message
    'ttw_hide_editor_style' => true,    // disable editor styling
    'ttw_theme_head_opts' => false,     // Predefined Theme CSS Rules
    'wvr_hide_if_are_oldWeaver_opts' => true,   // show if old options to import
    'ftp_hostname' => true,
    'ftp_username' => true,
    'ftp_password' => true,
    'ftp_hide_check_message' => true,


       /* plus current subtheme */
    'ttw_subtheme' => false,             // Subtheme name - non-sapi
    'ttw_theme_image' =>false,          // image name - non-sapi
    'ttw_theme_description' => false,   // Theme Description - not sapi set
    'ttw_themename' => false,           // theme name - non-sapi
    'ttw_version_id'=>false,            // version is not per-site - non-sapi
    'ttw_style_version'=>true,
    'ttw_last_advanced'=>true
    );

    $weaver_opts_cache = array();        // internal cache for all settings

    /*  This list determines the order the themes are displayed on the pick a theme select box.
	It needs to be updated with each newly created subtheme.

	We put the them file names and descriptions here, too, to avoid having to read the whole
	set of theme files just to build the theme thumbnail display. This is still way easier
	that the previous method of keeping the full theme definition in an array! (added version 1.6)
    */
    $weaver_theme_list = array(
        array('name'=>'Wheat', 'file'=> 'wvr-wheat',
            'desc' => 'Wheat-toned theme, the Weaver default theme.',
            'img' => 'wheat.jpg'),

        array('name'=>'My Saved Theme', 'file' => '', 'desc'=>'Your saved theme.', 'img'=>'custom.jpg'),

        array('name'=>'Black and White', 'file' => 'wvr-blackandwhite',
            'desc' => "Black and White - no color here.",
            'img' => 'blackandwhite.jpg'),

        array('name'=>'Blue', 'file' => 'wvr-blue',
            'desc' => 'A simple theme, based on blue.',
            'img' => 'blue.jpg'),

        array('name'=>'Browns', 'file' => 'wvr-browns',
            'desc' => 'Brown theme - almost a camo look.',
            'img' => 'browns.jpg'),

        array('name'=>'Dark with Green', 'file' => 'wvr-darkgreen',
            'desc' => "Almost Black, with Green titles",
            'img' => 'darkgreen.jpg'),

        array('name'=>'Dark - 2 Left Sidebars', 'file' => 'wvr-dark2left',
            'desc' => "A Dark Theme with 2 sidebars on the left.",
            'img' => 'dark2.jpg'),

        array('name'=>'The Grays', 'file' => 'wvr-grays',
            'desc' => "Gray based theme with title decorations.",
            'img' => 'grays.jpg'),

        array('name'=>'IndieAve', 'file' => 'wvr-indieave',
            'desc' => "A Green oriented theme based on IndieAve.com. Use Indie Ave header to see full design.",
            'img' => 'indieave.jpg'),

        array('name'=>'Ivory Drive', 'file' => 'wvr-ivorydrive',
            'desc' => "Modeled after IvoryDrive.com website. Use the Ivory Drive header to see full design.",
            'img' => 'ivorydrive.jpg'),

        array('name'=>'Kitchen Sink', 'file' => 'wvr-kitchensink',
              'desc' => 'Blue and Green theme with many borders. Demonstrates many Weaver options. Does now work with all sidebar arrangements.',
            'img' => 'kitchensink.jpg'),

        array('name'=>'Magazine', 'file' => 'wvr-magazine',
              'desc' => 'Designed to use with Pages with Posts and [weaver-show-posts] to make a magazine layout.',
            'img' => 'magazine.jpg'),

        array('name'=>'Mist', 'file' => 'wvr-mist',
              'desc' => 'Misty theme.',
            'img' => 'mist.jpg'),

        array('name'=>'Orange', 'file' => 'wvr-orange',
              'desc' => 'Simple Orange headers',
            'img' => 'orange.jpg'),

        array('name'=>'Reds', 'file' => 'wvr-reds',
              'desc' => 'Red based theme - good example of some custom CSS entries.',
            'img' => 'reds.jpg'),

        array('name'=>'Shadows', 'file' => 'wvr-shadows',
            'desc' => 'Gray with Shadows',
            'img' => 'shadows.jpg'),

        array('name'=>'Simple Silver', 'file' => 'wvr-simplesilver',
            'desc' => 'A simple silver theme.',
            'img' => 'simplesilver.jpg'),

        array('name'=>'Sopris', 'file' => 'wvr-sopris',
            'desc' => "Mountain Blues and Greens",
            'img' => 'sopris.jpg'),

        array('name'=>'Tan and Gray', 'file' => 'wvr-tanandgray',
            'desc' => 'A clean tan, gray, and white theme.',
            'img' => 'tanandgray.jpg'),

        array('name'=>'Transparent Dark', 'file' => 'wvr-transparentdark',
            'desc' => 'A Transparent theme for dark backgrounds. It <i>requires</i> a dark background image to look good.',
            'img' => 'transparentdark.jpg'),

        array('name'=>'Transparent Light', 'file' => 'wvr-transparentlight',
            'desc' => "A Transparent theme for light backgrounds. It <i>requires</i> a light background image to look good.",
            'img' => 'transparentlight.jpg'),

        array('name'=>'Turquoise', 'file' => 'wvr-turquoise',
            'desc' => "A simple turquoise based theme.",
            'img' => 'turquoise.jpg'),

        array('name'=>'Twenty Ten', 'file' => 'wvr-twentyten',
            'desc' => "Twenty Ten Theme (just like the original)",
            'img' => 'twentyten.jpg'),

        array('name'=>'White', 'file' => 'wvr-white',
            'desc' => "White Theme with content border.",
            'img' => 'white.jpg'),

        array('name'=>'WP Weaver', 'file' => 'wvr-wpweaver',
            'desc' => 'An Ivory tone theme - used by WPWeaver.info. Use WP Weaver header to see full design.',
            'img' => 'wpweaver.jpg',)
        );

    $weaver_cur_page_ID = false;
    $weaver_cur_post_id = false;
    $weaver_loop = 'full';
    $weaver_validates = 0;
?>
